﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace WPF_DataGrid_MVVMConditionalComboBinding
{
    class ViewModel:ViewModelBase
    {
        private ObservableCollection<Person> _items;
        public ObservableCollection<Person> Items
        {
            get
            {
                return _items;
            }
            set
            {
                _items = value;
                NotifyPropertyChanged("Items");
            }
        }

        static ObservableCollection<string> _countryList;
        public static ObservableCollection<string> CountryList     
        {
            get
            {
                return _countryList;
            }
            set
            {
                _countryList = value;                
            }
        }

        static ObservableCollection<Location> _locationList;
        public static ObservableCollection<Location> LocationList
        {
            get
            {
                return _locationList;
            }
            set
            {
                _locationList = value;
            }
        }


        public ViewModel()
        {
            Items = new ObservableCollection<Person>();
            Items.Add(new Person(){Name="Jack",Country="US",City="Washington D.C."});
            Items.Add(new Person() { Name = "Emily", Country = "UK", City = "London" });

            CountryList = new ObservableCollection<string>();
            CountryList.Add("UK");
            CountryList.Add("US");
            CountryList.Add("INDIA");
        }
    }
}
